# Inspectors

If you need to get more information about the HTTP request, response, body, JSON, etc. Frisby has several built-in helpers that log information to the console for you to see.

## frisby.inspectJSON()

Prints formatted and spaced JSON to the console.

```javascript
const frisby = require('frisby');

it ('GET should return a status of 200 OK', function (done) {
  frisby
    .get('http://api.example.com/ping')
    .inspectJSON()
    .done(done);
});
```

Output:

```
{
  "ping": "pong"
}
```

## frisby.inspectResponse()

Inspect HTTP response object (full fetch() request object dumped).

## frisby.inspectRequest()

Inspect HTTP request object (full fetch() request object dumped).

## frisby.inspectRequestHeaders()

Inspect HTTP request headers.

## frisby.inspectBody()

Inspect raw, unparsed HTTP response body text. Useful for debugging why an API is not returning valid JSON, etc.

## frisby.inspectStatus()

Inspect HTTP response status code.

## frisby.inspectHeaders()

Inspect HTTP response headers.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frisbyjs.com/api-and-usage/inspectors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
